Grants, vesting & distributions

Get Chart Aggregate Data

Aggregates org vestings and lockups (excluding cancelled/forfeited) into monthly cumulative token series.

GEThttps://api.toku.com/tga/get-chart-aggregate-data

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-chart-aggregate-data' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "tokenDistributionData": [
    {
      "date": "string",
      "tokensMinted": 0,
      "tokensVested": 0,
      "tokensUnlocked": 0,
      "tokensDistributed": 0
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
tokenDistributionDataobject[]required
Show child attributes
datestringrequired
tokensMintednumberrequired
tokensVestednumberrequired
tokensUnlockednumberrequired
tokensDistributednumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits